libmodbus 缓冲区错误漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1685422 漏洞类型 缓冲区错误
发布时间 2019-07-31 更新时间 2019-08-27
CVE编号 CVE-2019-14462 CNNVD-ID CNNVD-201907-1654
漏洞平台 N/A CVSS评分 N/A
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201907-1654
|漏洞详情
libmodbus是一款使用C语言编写的,能够根据Modbus协议发送/接收数据的库。 libmodbus 3.0.7之前版本和3.1.5之前的3.1.x版本中存在缓冲区错误漏洞。该漏洞源于网络系统或产品在内存上执行操作时,未正确验证数据边界,导致向关联的其他内存位置上执行了错误的读写操作。攻击者可利用该漏洞导致缓冲区溢出或堆溢出等。
|参考资料

来源:libmodbus.org

链接:https://libmodbus.org/2019/stable-and-development-releases/


来源:github.com

链接:https://github.com/stephane/libmodbus/commit/5ccdf5ef79d742640355d1132fa9e2abc7fbaefc


来源:nvd.nist.gov

链接:https://nvd.nist.gov/vuln/detail/CVE-2019-14462